DROP TABLE CRST_PO_DOCUMENT_TYPES_ALL_B;

CREATE TABLE CRST_PO_DOCUMENT_TYPES_ALL_B
(
  DOCUMENT_TYPE_CODE              VARCHAR2(25 BYTE) NOT NULL,
  DOCUMENT_SUBTYPE                VARCHAR2(25 BYTE) NOT NULL,
  LAST_UPDATE_DATE                DATE          NOT NULL,
  LAST_UPDATED_BY                 NUMBER        NOT NULL,
  CREATED_BY                      NUMBER        NOT NULL,
  CREATION_DATE                   DATE          NOT NULL,
  ARCHIVE_EXTERNAL_REVISION_CODE  VARCHAR2(25 BYTE),
  CAN_PREPARER_APPROVE_FLAG       VARCHAR2(1 BYTE),
  FORWARDING_MODE_CODE            VARCHAR2(25 BYTE),
  CAN_CHANGE_FORWARD_FROM_FLAG    VARCHAR2(1 BYTE),
  CAN_APPROVER_MODIFY_DOC_FLAG    VARCHAR2(1 BYTE),
  CAN_CHANGE_APPROVAL_PATH_FLAG   VARCHAR2(1 BYTE),
  CAN_CHANGE_FORWARD_TO_FLAG      VARCHAR2(1 BYTE),
  QUOTATION_CLASS_CODE            VARCHAR2(25 BYTE),
  DEFAULT_APPROVAL_PATH_ID        NUMBER,
  LAST_UPDATE_LOGIN               NUMBER,
  ATTRIBUTE_CATEGORY              VARCHAR2(30 BYTE),
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  SECURITY_LEVEL_CODE             VARCHAR2(25 BYTE),
  ACCESS_LEVEL_CODE               VARCHAR2(25 BYTE),
  DISABLED_FLAG                   VARCHAR2(1 BYTE) NOT NULL,
  REQUEST_ID                      NUMBER,
  PROGRAM_APPLICATION_ID          NUMBER,
  PROGRAM_ID                      NUMBER,
  PROGRAM_UPDATE_DATE             DATE,
  ORG_ID                          NUMBER,
  WF_APPROVAL_ITEMTYPE            VARCHAR2(8 BYTE),
  WF_APPROVAL_PROCESS             VARCHAR2(30 BYTE),
  WF_CREATEDOC_ITEMTYPE           VARCHAR2(8 BYTE),
  WF_CREATEDOC_PROCESS            VARCHAR2(30 BYTE)
);
